
TYPO3.SwiftMailer - Bug # 10306

Status: Resolved Priority: Should have
Author: Ernesto Baschny Category:
Created: 2010-10-17 Assigned To: Karsten Dambekalns
Updated: 2011-05-06 Due date:
Subject: Passing by reference deprecated in PHP 5.3
Description

We now integrated SwiftMailer API in the v4 core trunk (yea!). To do this, I backported the functions which you have created here (the
send() helper in the message class).

This uncovered a little bug in getFailedRecipients().

See attached patch which solves it in v4.

Associated revisions
Revision 4aac7348 - 2010-11-22 16:17 - Karsten Dambekalns

[+BUGFIX] SwiftMailer: Fix pass-by-ref and wrong getter

A case of pass-by-reference was fixed and the getter for failed
recipients now actually returns the failed recipients. send() resets
the failed recipients now.

Change-Id: Id8e4b237fd907f10a5e907d1edbef5185665bf18
Fixes: #10306

History
#1 - 2010-10-17 22:09 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 13

#2 - 2010-11-22 16:20 - Karsten Dambekalns
- Status changed from Accepted to Under Review
- Start date changed from 2010-10-17 to 2010-11-22

http://review.typo3.org/373

#3 - 2010-11-24 11:15 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"4aac7348be65ebad26ed4f4b7d42c351c9c4df52".
#4 - 2011-05-06 11:25 - Karsten Dambekalns
- Target version deleted (1.0 alpha 13)
